import { Location } from '@angular/common';
import { NgbModal, NgbModalOptions, NgbModalRef } from '@ng-bootstrap/ng-bootstrap';
import { RoutableModalsConfiguration } from '../models/routable-modals-configuration.model';
import * as i0 from "@angular/core";
export declare class RoutableModalService {
    private modalSvc;
    private location;
    private config?;
    private openModal;
    openModal$: import("rxjs").Observable<{
        name: string;
        ref: NgbModalRef;
    } | null>;
    constructor(modalSvc: NgbModal, location: Location, config?: RoutableModalsConfiguration | undefined);
    show(modalName: string, options?: NgbModalOptions | undefined, params?: any): NgbModalRef;
    updateQueryParams(params: any): void;
    setOpenModalRef(name: string, ref: NgbModalRef): void;
    resetParamsInternal(): void;
    private updateQueryParamsInternal;
    static ɵfac: i0.ɵɵFactoryDeclaration<RoutableModalService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<RoutableModalService>;
}
