import { InjectionToken } from '@angular/core';
import { Router } from '@angular/router';
import { Observable } from 'rxjs';
import { NgbModal } from '@ng-bootstrap/ng-bootstrap';
import { RoutableModalService } from './routable-modal.service';
import { RoutableModalsConfiguration } from '../models/routable-modals-configuration.model';
import * as i0 from "@angular/core";
export declare const ROUTABLE_MODAL_CONFIG: InjectionToken<RoutableModalsConfiguration>;
export declare class RoutingInterceptorService {
    private router;
    modalService: NgbModal;
    routableModalService: RoutableModalService;
    private config?;
    constructor(router: Router, modalService: NgbModal, routableModalService: RoutableModalService, config?: RoutableModalsConfiguration | undefined);
    watchRouteChanges(): Observable<any>;
    private getQueryParams;
    static ɵfac: i0.ɵɵFactoryDeclaration<RoutingInterceptorService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<RoutingInterceptorService>;
}
